improving scripts?

This commit is contained in:
rusefillc 2022-05-07 05:50:14 -04:00
parent 7d04d46923
commit b2815eb33c
2 changed files with 2 additions and 1 deletions

View File

@ -14,7 +14,7 @@ make -j$(nproc) -r PROJECT_BOARD=$PROJECT_BOARD PROJECT_CPU=$PROJECT_CPU
[ -e build/rusefi.hex ] || { echo "FAILED to compile by $SCRIPT_NAME with $PROJECT_BOARD $DEBUG_LEVEL_OPT and $EXTRA_PARAMS"; exit 1; }
if [ $USE_OPENBLT = "yes" ]; then
make openblt
[ -e build-openblt/openblt_$PROJECT_BOARD.hex ] || { echo "FAILED to compile OpneBLT by $SCRIPT_NAME with $PROJECT_BOARD"; exit 1; }
[ -e build-openblt/openblt_$PROJECT_BOARD.hex ] || { echo "FAILED to compile OpenBLT by $SCRIPT_NAME with $PROJECT_BOARD"; exit 1; }
fi
if uname | grep "NT"; then

View File

@ -31,6 +31,7 @@ pwd
echo "Invoking $COMPILE_SCRIPT"
bash $COMPILE_SCRIPT
[ $? -eq 0 ] || { echo "ERROR invoking $COMPILE_SCRIPT"; exit 1; }
echo "We are in"
pwd